### Function

# Qmi MessageWdsBindDataPortInput new

since: 1.28

#### Declaration [src]

    QmiMessageWdsBindDataPortInput*
    qmi_message_wds_bind_data_port_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdsBindDataPortInput`.

Available since: 1.28

#### Return value

Type: `QmiMessageWdsBindDataPortInput`

The newly created `QmiMessageWdsBindDataPortInput`. The returned value should be freed with qmi_message_wds_bind_data_port_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.